public class Tag {
	int		runNumber;
	int		eventNumber;

	String	OID;

	float	jet1E;
	float	jet1Phi;
	float	jet1Theta;
	int		part1ID;
	float	part1E;
	float	part1Phi;
	float	part1Theta;

	float	jet2E;
	float	jet2Phi;
	float	jet2Theta;
	int		part2ID;
	float	part2E;
	float	part2Phi;
	float	part2Theta;
	
	float	jet3E;
	float	jet3Phi;
	float	jet3Theta;
	int		part3ID;
	float	part3E;
	float	part3Phi;
	float	part3Theta;
	
	float	jet4E;
	float	jet4Phi;
	float	jet4Theta;
	int		part4ID;
	float	part4E;
	float	part4Phi;
	float	part4Theta;
	
	float	jet5E;
	float	jet5Phi;
	float	jet5Theta;
	int		part5ID;
	float	part5E;
	float	part5Phi;
	float	part5Theta;

	public Tag(int _runNumber, int _eventNumber, String _OID,
		float [] _jetE, float [] _jetPhi, float [] _jetTheta,
		int [] _partID, float [] _partE, float [] _partPhi, float [] _partTheta) {

		runNumber = _runNumber;
		eventNumber = _eventNumber;

		OID = new String(_OID);

		jet1E		= _jetE[0];
		jet1Phi		= _jetPhi[0];
		jet1Theta	= _jetTheta[0];
		part1ID		= _partID[0];
		part1E		= _partE[0];
		part1Phi	= _partPhi[0];
		part1Theta	= _partTheta[0];

		jet2E		= _jetE[1];
		jet2Phi		= _jetPhi[1];
		jet2Theta	= _jetTheta[1];
		part2ID		= _partID[1];
		part2E		= _partE[1];
		part2Phi	= _partPhi[1];
		part2Theta	= _partTheta[1];

		jet3E		= _jetE[2];
		jet3Phi		= _jetPhi[2];
		jet3Theta	= _jetTheta[2];
		part3ID		= _partID[2];
		part3E		= _partE[2];
		part3Phi	= _partPhi[2];
		part3Theta	= _partTheta[2];

		jet4E		= _jetE[3];
		jet4Phi		= _jetPhi[3];
		jet4Theta	= _jetTheta[3];
		part4ID		= _partID[3];
		part4E		= _partE[3];
		part4Phi	= _partPhi[3];
		part4Theta	= _partTheta[3];

		jet5E		= _jetE[4];
		jet5Phi		= _jetPhi[4];
		jet5Theta	= _jetTheta[4];
		part5ID		= _partID[4];
		part5E		= _partE[4];
		part5Phi	= _partPhi[4];
		part5Theta	= _partTheta[4];

	}

	public String getOID() {
		return OID;
	}

	public int getRunNumber() {
		return runNumber;
	}

	public int getEventNumber() {
		return eventNumber;
	}

	public float getJetE(int index) {

		if(index == 0) return jet1E;
		if(index == 1) return jet2E;
		if(index == 2) return jet3E;
		if(index == 3) return jet4E;
		if(index == 4) return jet5E;

		System.err.println("Tag Error: index = "+index);

		return 0.0f;
	}
	public float getJetPhi(int index) {
		if(index == 0) return jet1Phi;
		if(index == 1) return jet2Phi;
		if(index == 2) return jet3Phi;
		if(index == 3) return jet4Phi;
		if(index == 4) return jet5Phi;

		System.err.println("Tag Error: index = "+index);
		return 0.0f;
	}
	public float getJetTheta(int index) {
		if(index == 0) return jet1Theta;
		if(index == 1) return jet2Theta;
		if(index == 2) return jet3Theta;
		if(index == 3) return jet4Theta;
		if(index == 4) return jet5Theta;

		System.err.println("Tag Error: index = "+index);
		return 0.0f;
	}

	public float getPartE(int index) {
		if(index == 0) return part1E;
		if(index == 1) return part2E;
		if(index == 2) return part3E;
		if(index == 3) return part4E;
		if(index == 4) return part5E;

		System.err.println("Tag Error: index = "+index);
		return 0.0f;
	}
	public float getPartPhi(int index) {
		if(index == 0) return part1Phi;
		if(index == 1) return part2Phi;
		if(index == 2) return part3Phi;
		if(index == 3) return part4Phi;
		if(index == 4) return part5Phi;

		System.err.println("Tag Error: index = "+index);
		return 0.0f;
	}
	public float getPartTheta(int index) {
		if(index == 0) return part1Theta;
		if(index == 1) return part2Theta;
		if(index == 2) return part3Theta;
		if(index == 3) return part4Theta;
		if(index == 4) return part5Theta;

		System.err.println("Tag Error: index = "+index);
		return 0.0f;
	}
	public float getPartID(int index) {
		if(index == 0) return (float) part1ID;
		if(index == 1) return (float) part2ID;
		if(index == 2) return (float) part3ID;
		if(index == 3) return (float) part4ID;
		if(index == 4) return (float) part5ID;

		System.err.println("Tag Error: index = "+index);
		return 0.0f;
	}
}
